Bug 51251

Summary: Avidemux port update to 0.9 Supersedes ports/51012 and ports/51220
Product: Ports & Packages Reporter: amistry
Component: Individual Port(s)Assignee: freebsd-ports-bugs (Nobody) <ports-bugs>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
avidemux-0.9.patch none

Description amistry 2003-04-21 21:50:15 UTC
	Update to Avidemux 0.9.  Supersedes ports/51012 and ports/51220
Comment 1 Ulrich Spoerlein 2003-04-24 20:15:25 UTC
Won't built for me on my -STABLE System:

[...]
/bin/sh ../libtool --silent --mode=link c++  -I.. -IADM_library
-I../ADM_library  -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O -O2 -O
-pipe -fno-exceptions -fno-check-new   -L/usr/local/lib -L/usr/X11R6/lib
-o avidemux  -L/usr/X11R6/lib  -L/usr/X11R6/lib -L/usr/X11R6/lib -lgtk12
-lgdk12 -L/usr/local/lib -Wl,-E -lgmodule12 -lglib12 -lintl -lXi -lXext
-lX11 -lm -L/usr/local/lib -lfreetype  -L/usr/local/lib -lxml2 -lz
-L/usr/local/lib -liconv -lm -L/usr/local/lib
../adm_lavcodec/libavcodec.a gui_keyframes.o support.o guiplay.o
gui_xv.o gui_savenew.o gui_rgb.o gui_render.o gui_navigate.o gtk_gui.o
callbacks.o avilist.o main.o prefs.o
./ADM_mpPostProc/libADM_mpPostProc.a ./ADM_editor/libADM_editor.a
./ADM_library/libADM_library.a ./ADM_audiocodec/libADM_audiocodec.a
./ADM_audio/libADM_audio.a ./oplug_avi/liboplug_avi.a
./ADM_filter/libADM_filter.a ./ADM_video/libADM_video.a
./ADM_encoder/libADM_encoder.a  ./ADM_codecs/libADM_codecs.a
./ADM_vp32/libADM_vp32.a   ./ADM_audiofilter/libADM_audiofilter.a
./oplug_mpegFF/liboplug_mpegFF.a  ./oplug_mpeg/liboplug_mpeg.a
./ADM_gui/libADM_gui.a ./ADM_inpics/libADM_inpics.a
./ADM_h263/libADM_h263.a   ./ADM_nuv/libADM_nuv.a
./ADM_colorspace/libADM_colorspace.a
./ADM_audiodevice/libADM_audiodevice.a ./ADM_toolkit/libADM_toolkit.a
./ADM_mpeg2dec/libADM_mpeg2dec.a ./ADM_mpegindexer/libADM_mpegindexer.a
./libMpeg2Dec/liblibMpeg2Dec.a   ./ADM_mpPostProc/libADM_mpPostProc.a
-lXv -llavjpeg -lmjpegutils -lmp3lame -lvorbis -la52 -lmad -lxvidcore
-ldivxdecore -pthread 
libtool: link: cannot find the library `'
gmake[3]: *** [avidemux] Error 1
gmake[3]: Leaving directory
`/usr/tmp/usr/ports/multimedia/avidemux/work/avidemux-0.9/avidemux'
gmake[2]: *** [all-recursive] Error 1
gmake[2]: Leaving directory
`/usr/tmp/usr/ports/multimedia/avidemux/work/avidemux-0.9/avidemux'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory
`/usr/tmp/usr/ports/multimedia/avidemux/work/avidemux-0.9'
gmake: *** [all] Error 2
*** Error code 2

Stop in /usr/ports/multimedia/avidemux.
Comment 2 Ulrich Spoerlein 2003-04-27 20:35:14 UTC
Well, I don't know why, but after rebuilding _every_ library avidemux
wants to link against and running ldconfig, it finally built.
Nevertheless I had to remove an inclusion of stdint.h (not existant on
-STABLE), but I don't know if it is required for -CURRENT, please test.


--- avidemux/ADM_h263/ADM_mp4.cpp.orig	Sun Apr 27 21:07:08 2003
+++ avidemux/ADM_h263/ADM_mp4.cpp	Sun Apr 27 21:07:16 2003
@@ -14,7 +14,6 @@
  */
 #include <stdio.h>
 #include <stdlib.h>
-#include <stdint.h>
 #include <string.h>
 #include <assert.h>
 #include <math.h>
Comment 3 amistry 2003-04-27 23:39:15 UTC
:).  Ok, we're good to go.

Anish Mistry
amistry@am-productions.biz
AM Productions http://am-productions.biz/

On Sun, 27 Apr 2003, Ulrich Spoerlein wrote:

> On Sun, 27.04.2003 at 16:39:24 -0400, Anish Mistry wrote:
> > Hi,
> >
> >    Are you sure you are applying the patch in the PR correctly?  Because
> > that header part is already changed in the 0.9.  It looks like you are
> > trying to compile rc1 rather than 0.9.
>
> WARGH!
>
> 101, 110, what's the difference anyway? :)
>
> Sorry for the noise, the newest port compiles fine (and should be
> committed ASAP :)
>
Comment 4 Adam Weinberger freebsd_committer 2003-05-10 23:40:21 UTC
State Changed
From-To: open->closed

Committed, thanks! 

I made a couple modifications to the port. xvid and a52 
compilation were nonfunctional, and the post-configure target 
is unnecessary. 

Many users will get an error upon link. Recompiling/reinstalling 
mjpegtools will fix this. Depending on the frequency of people 
complaining about this, it may be necessary to add a disclaimer 
to the build process. 

I'm a bit confused about the email in this PR about stdint.h. 
That library is no longer included in avidemux/ADM_h263/ADM_mp4.cpp. 
*shrug*